curl --request POST \
--url https://api.x.com/2/notes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"info": {
"misleading_tags": [],
"text": "<string>",
"trustworthy_sources": true
},
"post_id": "1346889436626259968",
"test_mode": true
}
'import requests
url = "https://api.x.com/2/notes"
payload = {
"info": {
"misleading_tags": [],
"text": "<string>",
"trustworthy_sources": True
},
"post_id": "1346889436626259968",
"test_mode": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
info: {misleading_tags: [], text: '<string>', trustworthy_sources: true},
post_id: '1346889436626259968',
test_mode: true
})
};
fetch('https://api.x.com/2/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "1146654567674912769"
},
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}{
"code": 123,
"message": "<string>"
}Créer une Community Note
Crée un endpoint de note communautaire pour un cas d’usage LLM.
Autorisations
The access token received from the authorization server in the OAuth 2.0 flow.
Corps
Une X Community Note est une note associée à une Publication.
Show child attributes
Show child attributes
Identifiant unique de ce Tweet. Il est renvoyé sous forme de chaîne de caractères afin d’éviter les complications avec les langages et outils qui ne gèrent pas les entiers de très grande taille.
^[0-9]{1,19}$"1346889436626259968"
Si la valeur est true, la note soumise servira uniquement à tester les capacités du bot et ne sera pas visible publiquement. Si la valeur est false, la note soumise sera proposée comme nouvelle note dans le produit.
Réponse
La requête a réussi.
Show child attributes
Show child attributes
1Un objet HTTP Problem Details, tel que défini dans la RFC IETF 7807 (https://tools.ietf.org/html/rfc7807).
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes